devel/libast - The NetBSD Packages Collection

The Library of Assorted Spiffy Things

The Library of Assorted Spiffy Things (LibAST -  formerly libmej) was
originally designed as a  companion library to Eterm. However, it
contains  many features that other projects may find useful,  so it
has been broken out into its own library.  Features include thorough
debugging and memory  tracking engines, various string manipulation
functions, and a flexible config file parsing engine.

Build dependencies

pkgtools/x11-links pkgtools/cwrappers devel/libtool-base

Runtime dependencies

devel/pcre graphics/imlib2 devel/pcre graphics/imlib2

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hflibast-0.7nb12.tgz
NetBSD 8.0earmv7hflibast-0.7nb12.tgz
NetBSD 8.0i386libast-0.7nb12.tgz
NetBSD 8.0i386libast-0.7nb12.tgz
NetBSD 8.0i386libast-0.7nb12.tgz
NetBSD 8.0powerpclibast-0.7nb12.tgz
NetBSD 8.0powerpclibast-0.7nb12.tgz
NetBSD 8.0powerpclibast-0.7nb12.tgz
NetBSD 8.0x86_64libast-0.7nb12.tgz
NetBSD 8.0x86_64libast-0.7nb12.tgz
NetBSD 9.0aarch64libast-0.7nb12.tgz
NetBSD 9.0aarch64libast-0.7nb12.tgz
NetBSD 9.0aarch64libast-0.7nb12.tgz
NetBSD 9.0alphalibast-0.7nb12.tgz
NetBSD 9.0alphalibast-0.7nb12.tgz
NetBSD 9.0alphalibast-0.7nb12.tgz
NetBSD 9.0earmv6hflibast-0.7nb12.tgz
NetBSD 9.0earmv6hflibast-0.7nb12.tgz
NetBSD 9.0earmv6hflibast-0.7nb12.tgz
NetBSD 9.0earmv6hflibast-0.7nb12.tgz
NetBSD 9.0earmv7hflibast-0.7nb12.tgz
NetBSD 9.0earmv7hflibast-0.7nb12.tgz
NetBSD 9.0earmv7hflibast-0.7nb12.tgz
NetBSD 9.0earmv7hflibast-0.7nb12.tgz
NetBSD 9.0i386libast-0.7nb12.tgz
NetBSD 9.0i386libast-0.7nb12.tgz
NetBSD 9.0i386libast-0.7nb12.tgz
NetBSD 9.0mips64eblibast-0.7nb12.tgz
NetBSD 9.0mips64eblibast-0.7nb12.tgz
NetBSD 9.0mips64eblibast-0.7nb12.tgz
NetBSD 9.0powerpclibast-0.7nb12.tgz
NetBSD 9.0powerpclibast-0.7nb12.tgz
NetBSD 9.0sparc64libast-0.7nb12.tgz
NetBSD 9.0sparc64libast-0.7nb12.tgz
NetBSD 9.0sparc64libast-0.7nb12.tgz
NetBSD 9.0sparc64libast-0.7nb12.tgz
NetBSD 9.0sparclibast-0.7nb12.tgz
NetBSD 9.0sparclibast-0.7nb12.tgz
NetBSD 9.0sparclibast-0.7nb12.tgz
NetBSD 9.0x86_64libast-0.7nb12.tgz
NetBSD 9.0x86_64libast-0.7nb12.tgz
NetBSD 9.0x86_64libast-0.7nb12.tgz
NetBSD 9.0x86_64libast-0.7nb12.tgz
NetBSD 9.0x86_64libast-0.7nb12.tgz
NetBSD 9.0x86_64libast-0.7nb12.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)
(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.